package com.sundata.internalevaluation.calc.util;

import org.apache.commons.lang.text.StrSubstitutor;

import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-17 16:16:49
 * @description: sql语句工具类
 */
public class SqlUtil {

    public static String sqlFormat(String sql, Map<String, Object> map) {

        // 模板字符${value}的正则表达式
        String regex = "\\$\\{([^}]+)}";
        // 生成正则表达式对象
        Pattern pattern = Pattern.compile(regex);
        // 对请求中的数据逻辑说明的sql进行正则匹配
        Matcher matcher = pattern.matcher(sql);
        StrSubstitutor sub = new StrSubstitutor(map);

        return sub.replace(sql);

    }

}
