package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.IndexListModel;
import com.sundata.internalevaluation.configuration.model.InputParamModel;
import com.sundata.internalevaluation.configuration.model.ModelConfigModel;
import com.sundata.internalevaluation.configuration.model.ModelGradeModel;
import org.apache.ibatis.annotations.Param;


import java.util.List;

public interface ModelConfigMapper {
    List<ModelConfigModel> getDataList(ModelConfigModel model);

    void createData(ModelConfigModel model);

    void createIndexListData(@Param("indexList") List<IndexListModel> indexList);

    void createModelGradeData(@Param("modelGrade") List<ModelGradeModel> modelGrade);

    void deleteRows(ModelConfigModel model);

    void updateExistData(ModelConfigModel model);

    List<IndexListModel> getIndexDataList(ModelConfigModel model);

    List<ModelGradeModel> getModelGradeList(ModelConfigModel model);

    void deleteIndexListRows(ModelConfigModel model);

    void deleteModelGradeRows(ModelConfigModel model);
}
