package com.sundata.internalevaluation.configuration.model;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-01-17 17:16:54
 * @description: 接口参数
 */
public class SysInterfaceParam {
    /**
     * 主键
     */
    private String id;
    /**
     * 所属接口id
     */
    private String interfaceId;
    /**
     * 参数对象名称
     */
    private String paramObjName;
    /**
     * 参数中文名称
     */
    private String paramChineseName;
    /**
     * 参数描述
     */
    private String paramDescription;
    /**
     * 参数类型编码
     */
    private String paramTypeCode;
    /**
     * 参数类型名称
     */
    private String paramTypeName;
    /**
     * 参数获取类型编码
     */
    private String paramRetrievalTypeCode;
    /**
     * 参数获取类型名称
     */
    private String paramRetrievalTypeName;
    /**
     * 是否为报文头
     */
    private String isHeader;
    /**
     * 参数获取内容
     */
    private String paramRetrievalTypeCont;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 最后修改人
     */
    private String updateBy;
    /**
     * 最后修改时间
     */
    private String updateTime;


    public SysInterfaceParam() {
    }

    public SysInterfaceParam(String id, String interfaceId, String paramObjName, String paramChineseName, String paramDescription, String paramTypeCode, String paramTypeName, String paramRetrievalTypeCode, String paramRetrievalTypeName, String isHeader, String paramRetrievalTypeCont, String createBy, String createTime, String updateBy, String updateTime) {
        this.id = id;
        this.interfaceId = interfaceId;
        this.paramObjName = paramObjName;
        this.paramChineseName = paramChineseName;
        this.paramDescription = paramDescription;
        this.paramTypeCode = paramTypeCode;
        this.paramTypeName = paramTypeName;
        this.paramRetrievalTypeCode = paramRetrievalTypeCode;
        this.paramRetrievalTypeName = paramRetrievalTypeName;
        this.isHeader = isHeader;
        this.paramRetrievalTypeCont = paramRetrievalTypeCont;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
    }

    /**
     * 获取
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * 设置
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取
     * @return interfaceId
     */
    public String getInterfaceId() {
        return interfaceId;
    }

    /**
     * 设置
     * @param interfaceId
     */
    public void setInterfaceId(String interfaceId) {
        this.interfaceId = interfaceId;
    }

    /**
     * 获取
     * @return paramObjName
     */
    public String getParamObjName() {
        return paramObjName;
    }

    /**
     * 设置
     * @param paramObjName
     */
    public void setParamObjName(String paramObjName) {
        this.paramObjName = paramObjName;
    }

    /**
     * 获取
     * @return paramChineseName
     */
    public String getParamChineseName() {
        return paramChineseName;
    }

    /**
     * 设置
     * @param paramChineseName
     */
    public void setParamChineseName(String paramChineseName) {
        this.paramChineseName = paramChineseName;
    }

    /**
     * 获取
     * @return paramDescription
     */
    public String getParamDescription() {
        return paramDescription;
    }

    /**
     * 设置
     * @param paramDescription
     */
    public void setParamDescription(String paramDescription) {
        this.paramDescription = paramDescription;
    }

    /**
     * 获取
     * @return paramTypeCode
     */
    public String getParamTypeCode() {
        return paramTypeCode;
    }

    /**
     * 设置
     * @param paramTypeCode
     */
    public void setParamTypeCode(String paramTypeCode) {
        this.paramTypeCode = paramTypeCode;
    }

    /**
     * 获取
     * @return paramTypeName
     */
    public String getParamTypeName() {
        return paramTypeName;
    }

    /**
     * 设置
     * @param paramTypeName
     */
    public void setParamTypeName(String paramTypeName) {
        this.paramTypeName = paramTypeName;
    }

    /**
     * 获取
     * @return paramRetrievalTypeCode
     */
    public String getParamRetrievalTypeCode() {
        return paramRetrievalTypeCode;
    }

    /**
     * 设置
     * @param paramRetrievalTypeCode
     */
    public void setParamRetrievalTypeCode(String paramRetrievalTypeCode) {
        this.paramRetrievalTypeCode = paramRetrievalTypeCode;
    }

    /**
     * 获取
     * @return paramRetrievalTypeName
     */
    public String getParamRetrievalTypeName() {
        return paramRetrievalTypeName;
    }

    /**
     * 设置
     * @param paramRetrievalTypeName
     */
    public void setParamRetrievalTypeName(String paramRetrievalTypeName) {
        this.paramRetrievalTypeName = paramRetrievalTypeName;
    }

    /**
     * 获取
     * @return isHeader
     */
    public String getIsHeader() {
        return isHeader;
    }

    /**
     * 设置
     * @param isHeader
     */
    public void setIsHeader(String isHeader) {
        this.isHeader = isHeader;
    }

    /**
     * 获取
     * @return paramRetrievalTypeCont
     */
    public String getParamRetrievalTypeCont() {
        return paramRetrievalTypeCont;
    }

    /**
     * 设置
     * @param paramRetrievalTypeCont
     */
    public void setParamRetrievalTypeCont(String paramRetrievalTypeCont) {
        this.paramRetrievalTypeCont = paramRetrievalTypeCont;
    }

    /**
     * 获取
     * @return createBy
     */
    public String getCreateBy() {
        return createBy;
    }

    /**
     * 设置
     * @param createBy
     */
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    /**
     * 获取
     * @return createTime
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 设置
     * @param createTime
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取
     * @return updateBy
     */
    public String getUpdateBy() {
        return updateBy;
    }

    /**
     * 设置
     * @param updateBy
     */
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    /**
     * 获取
     * @return updateTime
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置
     * @param updateTime
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String toString() {
        return "SysInterfaceParam{id = " + id + ", interfaceId = " + interfaceId + ", paramObjName = " + paramObjName + ", paramChineseName = " + paramChineseName + ", paramDescription = " + paramDescription + ", paramTypeCode = " + paramTypeCode + ", paramTypeName = " + paramTypeName + ", paramRetrievalTypeCode = " + paramRetrievalTypeCode + ", paramRetrievalTypeName = " + paramRetrievalTypeName + ", isHeader = " + isHeader + ", paramRetrievalTypeCont = " + paramRetrievalTypeCont + ", createBy = " + createBy + ", createTime = " + createTime + ", updateBy = " + updateBy + ", updateTime = " + updateTime + "}";
    }
}
